package com.link.core.util;

import com.link.base.basic.service.PartyRelService;
import java.util.ArrayList;
import java.util.List;

public class LinkSecurityUtil {
   public static PartyRelService partyRelService = (PartyRelService)SpringUtil.getBean(PartyRelService.class);

   public static String getSecurtyOrgStr(String orgId) {
      return partyRelService.querySecurityStrByOrgId(orgId);
   }

   public static String getSecurtyPostnStr(String positionId) {
      return partyRelService.querySecurityStrByPostnId(positionId);
   }

   public static List<String> getSecurityOrgList(String orgId) {
      return partyRelService.querySecurityListByOrgId(orgId);
   }

   public static List<String> getSecurityPositionList(String positionId) {
      return partyRelService.querySecurityListByPositionId(positionId);
   }

   public static List<String> getOrgOrPositionListId(String id, String type) {
      List<String> result = new ArrayList();
      if (!StringUtils.isBlank(id) && !StringUtils.isBlank(type)) {
         if ("org".equals(type)) {
            result = partyRelService.querySecurityListByOrgId(id);
         } else if ("position".equals(type)) {
            result = partyRelService.querySecurityListByPositionId(id);
         }

         return (List)result;
      } else {
         return (List)result;
      }
   }
}
